Mailinglist Archive: opensuse (1487 mails)

< Previous Next >
Re: [opensuse] Where have categories gone in Address Book?
  • From: Patrick Shanahan <paka@xxxxxxxxxxxx>
  • Date: Tue, 3 Aug 2010 10:42:51 -0400
  • Message-id: <20100803144251.GD12175@xxxxxxxxxxxxxxx>
* Will Stephenson <wstephenson@xxxxxxx> [08-03-10 02:20]:
On Monday 02 August 2010 23:57:37 Patrick Shanahan wrote:

Well, I will raise mine if you think it
will help. I have a friend who
cannot access his kaddressbook because the
akonadi kabc module will not
run,
Akonadi Server Self-Test -
KAddressBook
MySQL server log contains errors
Nepomuk search service not
registered at D-Bus
Server protocol version is too old

This looks like a
combination of package mismatch, disabled Nepomuk and older akonadi-runtime
version that did not initialize the suse version of mysql correctly. Can
you get your friend into #opensuse-kde on IRC so we can straighten it out?

I'm afraid that his skill level would cause mucho confusion on both ends
:^), but I have remote access to his box and can apply from here.


Otherwise (this is what I would do on IRC)

Make sure
*
soprano-backend-redland and soprano-backend-virtuoso are installed
*
akonadi-runtime and libakonadiprotocolinternals1 are in the same version and
from the same source (check the output of zypper se -s -i akonadi). If they
are not, please note these down and tell me as it would likely indicate a
packaging error.
* Nepomuk is enabled in the Desktop Search settings (Strigi
can be left off)

zypper se -s -i akonadi soprano
Loading repository data...
Reading installed packages...

S | Name | Type | Version | Arch |
Repository

--+------------------------------+---------+--------------+--------+-----------------------------------
i | akonadi-runtime | package | 1.3.1-55.1 | x86_64 | (System
Packages)
i | libakonadi4 | package | 4.4.95-170.1 | x86_64 | KDE 4.4.x
Packages (openSUSE_11.2)
i | libakonadiprotocolinternals1 | package | 1.3.1-55.1 | x86_64 | (System
Packages)
i | libsoprano4 | package | 2.4.64-78.1 | x86_64 | KDE 4.4.x
Packages (openSUSE_11.2)
i | soprano | package | 2.4.64-78.1 | x86_64 | KDE 4.4.x
Packages (openSUSE_11.2)
i | soprano-backend-redland | package | 2.4.64-78.1 | x86_64 | KDE 4.4.x
Packages (openSUSE_11.2)
i | soprano-backend-virtuoso | package | 2.4.64-81.1 | x86_64 | KDE 4.4.x
Packages (openSUSE_11.2)

ps aux |grep nepomuk
fred 10333 0.0 0.1 202156 8372 pts/1 Sl 10:12 0:00 nepomukserver
fred 10694 0.0 0.2 272444 19276 ? Sl 10:19 0:00
/usr/bin/akonadi_nepomuk_contact_feeder --identifier
akonadi_nepomuk_contact_feeder


* issue an 'akonadictl stop' and wait until
'akonadictl status' reports that it is stopped
* delete the akonadi config
and cache directories ~/.local/share/akonadi and ~/.config/akonadi

done

*
akonadictl start. If there is still a "MySQL server log contains errors" on
starting kaddressbook, do
** mysql_install_db
--datadir=$HOME/.local/share/akonadi/db_data/

still had "log contains errors" so did the mysql_install_db --*

still had "log contains errors", but:
akonadictl stop
removed both config directories
mysql_install_db --*
akonadictl start

log errors are gone, but "Nepomuk search service not registered at D-Bus"
and "Server protocol version is too old" still appear ???

tks,
--
Patrick Shanahan Plainfield, Indiana, USA HOG # US1244711
http://wahoo.no-ip.org Photo Album: http://wahoo.no-ip.org/gallery2
Registered Linux User #207535 @ http://counter.li.org
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups